Skip to main content
POST
/
virtual-accounts
/
ngn
/
account-lookup
NGN account lookup (Sarepay)
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/ngn/account-lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bank_code": "058",
  "account_number": "0123456789"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {
    "bank_code": "<string>",
    "account_number": "<string>",
    "account_name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
bank_code
string
required
Example:

"058"

account_number
string
required
Example:

"0123456789"

Response

Account details verified

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object